
Figure - Bug #112753
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开应用小窗，进入多任务管理器，后台进程卡片显示有误
2022-10-20 17:40 - CD TEST-方永红

Status: CLOSED Start date:

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211090616

Reproducibility: Every time Fixed Version: 2022-10-26

Test Type: IT Root cause: 截图时小窗的尺寸不对��小窗进入 recenttask 去重

Description

【前提条件】

1、设备已开机

2、后台无进程

【测试步骤】

1、打开一个小窗

2、进入任务管理器

3、查看后台进程卡片

【预期结果】

3、只有一个小窗进程卡片

【实际结果】

3、同时出现一个小窗卡片一个功能卡片（见截图）

【Log】

Log见附件

History

#1 - 2022-10-20 18:55 - CD APP-王营

- Assignee changed from CD APP-王营 to DL FW-张挽强

■ Current conclusion

目前启动小窗后将此task放入了recent的tasklist中

■ My analysis

之前和王琳沟通，打开小窗应用的时候，不要将这个任务加入到Recent的tasklist

目前recent中小窗卡片的显示获取方式为小窗开发同事在ActivityManager中提供了对应的接口获取

所以启动小窗的时候就不要将这个task放入recent的tasklist中。

■ Next action

请小窗同事帮忙修改此问题。

#2 - 2022-10-24 14:17 - DL FW-张挽强
- Status changed from New to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-10-25

- Root cause set to 截图时小窗的尺寸不对

#3 - 2022-10-24 14:24 - DL FW-王琳

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD TEST-方永红 to DL FW-张挽强

#4 - 2022-10-25 09:05 - DL FW-王琳

My analysis

初步分析是进入recent的时候调用时序上存在问题,     

Next action

需要结合112698 112753 112755 case一起考虑下交互时序的设计.

10/30交付有风险, 建议放到下一个交付节点

#5 - 2022-10-25 14:23 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#6 - 2022-11-01 14:56 - CD TPM-王祥林

- Category changed from CD-APP to 窗口定制

#7 - 2022-11-02 14:29 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V3.0_update_20221130

重新梳理方案，11/30 fix

#8 - 2022-11-08 15:11 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 40 to 100

- Fixed Version changed from 2022-10-25 to 2022-10-26

- Root cause changed from 截图时小窗的尺寸不对 to 截图时小窗的尺寸不对

小窗进入 recenttask 去重

#9 - 2022-11-09 10:39 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211090616

11.9

目前打开小窗，直接进入任务管理器，只有小窗进程

验证通过

#10 - 2022-11-09 10:39 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
#11 - 2022-12-22 20:50 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160878 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jian.hao@thundersoft.com

AF:MultiWindow:Open the application window and enter the multitask manager. The background process card displays incorrectly1.Modify the return value of

RecentListChange-Id: I81095d64f0101916a55b02923106e5c72337bc83TC-RID: 1201-0204601IssueID: TS-R-BUG-112753 TS-R-BUG-112905

TS-R-BUG-112755

Files

Phone-STS40X190122 2022-10-20 17-33-39.mp4 7.19 MB 2022-10-20 CD TEST-方永红

小窗任务栏.png 136 KB 2022-10-20 CD TEST-方永红

1739.txt 6.83 MB 2022-10-20 CD TEST-方永红
